Skip to main content

Archive a part type

POSThttps://carchost.fieldcontrol.com.br/part-types/{id}/archive

Archives a part type. There is no body.

Requires the X-Api-Key and User-Agent headers. Limit: 1 request per second (learn more).

Request​

Path parameters

idstringrequired

Part type identifier.

Example: YTFiMmMzZDQtZTVmNi03ODkwLWFiY2QtZWYxMjM0NTY3ODkwOjIyOTE1.

Headers

User-Agentstringrequired

Identification of your application.

Example: MinhaIntegracao/1.0.

Responses

  • 200

    Part type archived.

  • 401

    API key missing (Missing API Key) or invalid (Invalid API Key). See Authentication.

  • 403

    Account blocked (Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication.

  • 422

    Part type already archived (resourceValidationErr, reason: invalid state). Nonexistent part type: 422 resourceNotFound (there is no 404). Invalid identifier or one from another account: uriValidationErr.

  • 429

    Limit of 1 request per second exceeded. See Rate limit.

  • 500

    Unexpected server error.